<template>
    <div class="line">
        <slot></slot>
        <div :style="{ width: '1.6rem', height: height }" class="position-relative font-weight-normal">
            <svg v-if="arrowUp" :class="{'stroke-default': !strokeColor, 'arrow-default' : !arrowColor}"
                 :fill="arrowColor ? arrowColor : null"
                 :stroke="strokeColor ? strokeColor : null"
                 class="position-absolute"
                 stroke-width="1"
                 style="height: 1.5rem; width: 1.6rem;top: 50%; left: 50%; transform: translate(-50%, -50%)"
                 xmlns="http://www.w3.org/2000/svg">
                <path d="M8 1 L0 12 L16 12 Z"/>
            </svg>
            <svg v-if="arrowDown" :class="{'stroke-default': !strokeColor, 'arrow-default' : !arrowColor}" :fill="arrowColor ? arrowColor : null"
                 :stroke="strokeColor ? strokeColor : null"
                 class="position-absolute"
                 stroke-width="1"
                 style="height: 1.5rem; width: 1.6rem;top: 50%; left: 50%; transform: translate(-50%, -50%)"
                 xmlns="http://www.w3.org/2000/svg">
                <path d="M8 12 L0 1 L16 1 Z"/>
            </svg>
            <svg height="100%" width="100%" xmlns="http://www.w3.org/2000/svg">
                <rect :class="{'rect-default' : !lineColor}"
                      :fill="lineColor ? lineColor : null"
                      :height="parseFloat(height) * 10"
                      width="3"
                      x="6.5"
                      y="0">
                </rect>
            </svg>
        </div>
    </div>
</template>

<script>
export default {
    name: 'vertical-line-component',
    props: {
        height: {
            type: [Number, String],
            default: '3rem'
        },
        arrowDown: {
            type: Boolean,
            default: false
        },
        arrowUp: {
            type: Boolean,
            default: false
        },
        arrowColor: {
            type: String,
        },
        lineColor: {
            type: String,
        },
        strokeColor: {
            type: String
        }
    },
    data: () => {
        return {}
    },
    computed: {}
}
</script>
